> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itential.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server.

# Get jobs

GET https://example.itential.io/operations-manager/jobs

Searches the Job collection.

Reference: https://docs.itential.com/itential-platform/6/api-reference/operations-manager/get-jobs

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Query parameters

- `limit` (integer, optional, default: 25) — Number of results to return. Used for pagination.
- `skip` (integer, optional, default: 0) — Number of results to skip. Used for pagination.
- `order` (enum, optional, default: 1) — Sort direction, 1 for ascending and -1 for descending.
  - Allowed values: `-1`, `1`
- `sort` (enum, optional, default: name) — Field to sort by
  - Allowed values: `name`
- `include` (string, optional) — Inclusive projection operator formatted as a comma-delineated list. '_id' will be included implicitly unless excluded with 'exclude=_id'. May only be used in conjunction with 'exclude' when 'exclude=_id'.
- `exclude` (string, optional) — Exclusive projection operator formatted as a comma-delineated list. May only be used in conjunction with 'include' when 'exclude=_id'.
- `in` (string, optional) — Search for fields exactly matching one of the given list options
- `not-in` (string, optional) — Search for fields not exactly matching one of the given list options
- `equals` (string, optional) — Returns results where the specified fields exactly match the given match string(s).
- `contains` (string, optional) — Returns results where the specified fields contain the given match string(s). When used on the 'description' field, returns results containing any matching whole word, delimited by most punctuation. Double-quotes may be used to match phrases rather than individual words.
- `starts-with` (string, optional) — Returns results where the specified fields start with the given match string(s).
- `ends-with` (string, optional) — Returns results where the specified fields end in the given match string(s).
- `dereference` (string, optional) — Designates foreign key fields to dereference in the API output.
- `gt` (string, optional) — Returns results where the specified fields have values greater than the specified values.
- `gte` (string, optional) — Returns results where the specified fields have values greater than or equal to the specified values.
- `lt` (string, optional) — Returns results where the specified fields have values less than the specified values.
- `lte` (string, optional) — Returns results where the specified fields have values less than or equal to the specified values.
- `q` (string, optional) — Accepts a full query expression as a URL-encoded JSON object. Supports all other query operators, in addition to logical conjunction with 'and', disjunction with 'or', and negation with 'not'. May be combined with other top-level operators.
- `exists` (string, optional) — Returns results where the specified fields exist according to the specified value.

## Response

### 200

The Jobs that matched the search query.

- `message` (string, required) — A human-readable message summarizing the result of the operation
- `data` (list of object, required) — Any successfully retrieved information related to the request.
  - `_id` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
  - `uuid` (string, optional)
  - `font_size` (integer, optional)
  - `type` (enum, optional)
    - Allowed values: `automation`, `resource:action`, `resource:compliance`
  - `created` (string, optional) — An ISO 8601 date string
  - `last_updated` (string, optional) — An ISO 8601 date string
  - `createdVersion` (string, optional)
  - `lastUpdatedVersion` (string, optional)
  - `canvasVersion` (enum, optional)
    - Allowed values: `1`, `1.5`, `2`, `3`
  - `encodingVersion` (enum, optional)
    - Allowed values: `1`
  - `migrationVersion` (integer, optional) — The current document version of this document.
  - `name` (string, optional) — The name of the document
  - `description` (string, optional, nullable)
  - `preAutomationTime` (double, optional)
  - `sla` (double, optional)
  - `decorators` (list of object, optional)
    - `type` (any, optional)
    - `pointer` (string, optional)
  - `transitions` (object, optional)
  - `status` (enum, optional)
    - Allowed values: `error`, `complete`, `running`, `canceled`, `incomplete`, `paused`
  - `variables` (object, optional)
  - `tags` (list of any, optional)
  - `error` (list of object, optional)
    - `task` (any or enum or string, optional)
    - `message` (map from string to any or string, optional)
    - `timestamp` (double, optional) — The time at which this error occurred, designated by a unix timestamp
  - `warnings` (list of object, optional)
    - `task` (enum or string, optional)
    - `name` (string, optional) — The name of the document
    - `message` (map from string to any or string, optional)
  - `ancestors` (list of string, optional, nullable)
  - `validationErrors` (list of object, optional)
    - `keyword` (string, optional)
    - `instancePath` (string, optional)
    - `schemaPath` (string, optional)
    - `params` (object, optional)
    - `message` (string, optional)
  - `namespace` (object, optional)
  - `mocked` (boolean, optional)
  - `created_by` (any or string or object, optional, nullable)
    - object
      - `_id` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
      - `provenance` (string, optional)
      - `username` (string, optional)
      - `firstname` (string, optional)
      - `memberOf` (list of object, optional)
        - `groupId` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
        - `aaaManaged` (boolean, optional)
      - `assignedRoles` (list of object, optional)
        - `roleId` (string, optional)
      - `inactive` (boolean, optional)
      - `lastLogin` (string, optional) — An ISO 8601 date string
      - `_meta` (object, optional)
        - `created` (string, optional) — An ISO 8601 date string
        - `updated` (string, optional) — An ISO 8601 date string
        - `migrationVersion` (integer, optional) — The current document version of this document.
      - `email` (string, optional)
  - `last_updated_by` (any or string or object, optional, nullable)
    - object
      - `_id` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
      - `provenance` (string, optional)
      - `username` (string, optional)
      - `firstname` (string, optional)
      - `memberOf` (list of object, optional)
        - `groupId` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
        - `aaaManaged` (boolean, optional)
      - `assignedRoles` (list of object, optional)
        - `roleId` (string, optional)
      - `inactive` (boolean, optional)
      - `lastLogin` (string, optional) — An ISO 8601 date string
      - `_meta` (object, optional)
        - `created` (string, optional) — An ISO 8601 date string
        - `updated` (string, optional) — An ISO 8601 date string
        - `migrationVersion` (integer, optional) — The current document version of this document.
      - `email` (string, optional)
  - `tasks` (object, optional)
    - `workflow_start` (object, optional)
      - `x` (double, optional) — Stores the x coordinate used by canvasType = 1 workflows
      - `y` (double, optional) — Stores the y coordinate used by canvasType = 1 workflows
      - `gridCoordinate` (object, optional) — Stores the coordinates used by canvasType = 2 workflows
        - `x` (double, optional)
        - `y` (double, optional)
      - `name` (any, optional)
      - `summary` (any, optional)
      - `taskId` (any, optional)
      - `metrics` (object, optional)
        - `start_time` (double, optional)
        - `finish_state` (enum, optional)
          - Allowed values: `success`, `failure`, `error`
        - `user` (any or string or object, optional, nullable)
          - object
            - `_id` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
            - `provenance` (string, optional)
            - `username` (string, optional)
            - `firstname` (string, optional)
            - `memberOf` (list of object, optional)
            - `assignedRoles` (list of object, optional)
            - `inactive` (boolean, optional)
            - `lastLogin` (string, optional) — An ISO 8601 date string
            - `_meta` (object, optional)
            - `email` (string, optional)
      - `groups` (list of string or object or any, optional)
        - object
          - `_id` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
          - `provenance` (string, optional)
          - `name` (string, optional)
          - `description` (string, optional)
          - `memberOf` (list of object, optional)
            - `groupId` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
            - `aaaManaged` (boolean, optional)
          - `assignedRoles` (list of object, optional)
            - `roleId` (string, optional)
          - `inactive` (boolean, optional)
          - `_meta` (object, optional)
            - `created` (string, optional) — An ISO 8601 date string
            - `updated` (string, optional) — An ISO 8601 date string
            - `migrationVersion` (integer, optional) — The current document version of this document.
      - `iterations` (list of string or map from string to any, optional)
    - `workflow_end` (object, optional)
      - `x` (double, optional) — Stores the x coordinate used by canvasType = 1 workflows
      - `y` (double, optional) — Stores the y coordinate used by canvasType = 1 workflows
      - `gridCoordinate` (object, optional) — Stores the coordinates used by canvasType = 2 workflows
        - `x` (double, optional)
        - `y` (double, optional)
      - `name` (any, optional)
      - `summary` (any, optional)
      - `taskId` (any, optional)
      - `endTasks` (object, optional)
        - `incomplete` (list of enum or string, optional)
        - `complete` (list of enum or string, optional)
        - `error` (list of enum or string, optional)
      - `metrics` (object, optional)
        - `end_time` (double, optional)
        - `run_time` (double, optional)
      - `groups` (list of string or object or any, optional)
        - object
          - `_id` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
          - `provenance` (string, optional)
          - `name` (string, optional)
          - `description` (string, optional)
          - `memberOf` (list of object, optional)
            - `groupId` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
            - `aaaManaged` (boolean, optional)
          - `assignedRoles` (list of object, optional)
            - `roleId` (string, optional)
          - `inactive` (boolean, optional)
          - `_meta` (object, optional)
            - `created` (string, optional) — An ISO 8601 date string
            - `updated` (string, optional) — An ISO 8601 date string
            - `migrationVersion` (integer, optional) — The current document version of this document.
      - `iterations` (list of string or map from string to any, optional)
    - `error_handler` (object, optional)
      - `x` (double, optional) — Stores the x coordinate used by canvasType = 1 workflows
      - `y` (double, optional) — Stores the y coordinate used by canvasType = 1 workflows
      - `gridCoordinate` (object, optional) — Stores the coordinates used by canvasType = 2 workflows
        - `x` (double, optional)
        - `y` (double, optional)
      - `name` ("childJob", optional)
      - `location` (enum, optional)
        - Allowed values: `Adapter`, `Application`, `Broker`
      - `locationType` (string, optional, nullable)
      - `app` (string, optional)
      - `canvasName` (string, optional)
      - `displayName` (string, optional)
      - `summary` (string, optional)
      - `description` (string, optional)
      - `variables` (object, optional)
        - `incoming` (object, optional)
        - `outgoing` (object, optional)
        - `error` (string, optional)
        - `decorators` (list of object, optional)
          - `type` (any, optional)
          - `pointer` (string, optional)
      - `deprecated` (boolean, optional)
      - `scheduled` (boolean, optional)
      - `matched` (list of object, optional)
        - `key` (string, optional)
        - `highlightString` (string, optional)
      - `status` (enum, optional)
        - Allowed values: `incomplete`, `scheduled`, `running`, `complete`, `canceled`, `error`, `failure`, `paused`
      - `previous` (object, optional)
        - `incomplete` (list of enum or string, optional)
        - `complete` (list of enum or string, optional)
        - `error` (list of enum or string, optional)
      - `taskId` (enum or string, optional)
      - `transitions` (object, optional)
        - `success` (list of object, optional)
          - `task` (enum or string, optional)
          - `type` (enum, optional)
            - Allowed values: `standard`, `revert`, `loop`
        - `failure` (list of object, optional)
          - `task` (enum or string, optional)
          - `type` (enum, optional)
            - Allowed values: `standard`, `revert`, `loop`
        - `error` (list of object, optional)
          - `task` (enum or string, optional)
          - `type` (enum, optional)
            - Allowed values: `standard`, `revert`, `loop`
      - `serverId` (string, optional)
      - `start_time` (string, optional) — An ISO 8601 date string
      - `end_time` (double, optional)
      - `finish_state` (enum, optional)
        - Allowed values: `success`, `failure`, `error`
      - `retrySettings` (object, optional, nullable)
        - `state` (list of enum, optional)
          - Allowed values: `success`, `error`, `failure`
        - `autoRetry` (boolean, optional)
        - `limit` (integer, optional)
        - `delay` (integer, optional)
        - `count` (integer, optional)
        - `finishedRetrying` (boolean, optional)
      - `mockId` (string, optional) — A UUIDv4 identifier.
      - `type` (any, optional)
      - `actor` (any or string or object or any, optional)
      - `groups` (list of string or object or any, optional)
        - object
          - `_id` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
          - `provenance` (string, optional)
          - `name` (string, optional)
          - `description` (string, optional)
          - `memberOf` (list of object, optional)
            - `groupId` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
            - `aaaManaged` (boolean, optional)
          - `assignedRoles` (list of object, optional)
            - `roleId` (string, optional)
          - `inactive` (boolean, optional)
          - `_meta` (object, optional)
            - `created` (string, optional) — An ISO 8601 date string
            - `updated` (string, optional) — An ISO 8601 date string
            - `migrationVersion` (integer, optional) — The current document version of this document.
      - `iterations` (list of string or map from string to any, optional)
  - `parent` (object, optional)
    - `job` (string or map from string to any, optional)
    - `task` (string, optional)
    - `iteration` (double, optional)
    - `element` (double, optional)
  - `errorHandler` (object, optional, nullable)
    - `actor` (any or string or object or any, optional)
    - `groups` (list of string or object or any, optional)
      - object
        - `_id` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
        - `provenance` (string, optional)
        - `name` (string, optional)
        - `description` (string, optional)
        - `memberOf` (list of object, optional)
          - `groupId` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
          - `aaaManaged` (boolean, optional)
        - `assignedRoles` (list of object, optional)
          - `roleId` (string, optional)
        - `inactive` (boolean, optional)
        - `_meta` (object, optional)
          - `created` (string, optional) — An ISO 8601 date string
          - `updated` (string, optional) — An ISO 8601 date string
          - `migrationVersion` (integer, optional) — The current document version of this document.
    - `iterations` (list of string or map from string to any, optional)
  - `groups` (list of string or object or any, optional)
    - object
      - `_id` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
      - `provenance` (string, optional)
      - `name` (string, optional)
      - `description` (string, optional)
      - `memberOf` (list of object, optional)
        - `groupId` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
        - `aaaManaged` (boolean, optional)
      - `assignedRoles` (list of object, optional)
        - `roleId` (string, optional)
      - `inactive` (boolean, optional)
      - `_meta` (object, optional)
        - `created` (string, optional) — An ISO 8601 date string
        - `updated` (string, optional) — An ISO 8601 date string
        - `migrationVersion` (integer, optional) — The current document version of this document.
  - `watchers` (list of any or string or object, optional)
    - object
      - `_id` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
      - `provenance` (string, optional)
      - `username` (string, optional)
      - `firstname` (string, optional)
      - `memberOf` (list of object, optional)
        - `groupId` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
        - `aaaManaged` (boolean, optional)
      - `assignedRoles` (list of object, optional)
        - `roleId` (string, optional)
      - `inactive` (boolean, optional)
      - `lastLogin` (string, optional) — An ISO 8601 date string
      - `_meta` (object, optional)
        - `created` (string, optional) — An ISO 8601 date string
        - `updated` (string, optional) — An ISO 8601 date string
        - `migrationVersion` (integer, optional) — The current document version of this document.
      - `email` (string, optional)
  - `metrics` (object, optional)
    - `start_time` (double, optional)
    - `progress` (double, optional)
    - `end_time` (double, optional)
    - `user` (any or string or object, optional, nullable)
      - object
        - `_id` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
        - `provenance` (string, optional)
        - `username` (string, optional)
        - `firstname` (string, optional)
        - `memberOf` (list of object, optional)
          - `groupId` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
          - `aaaManaged` (boolean, optional)
        - `assignedRoles` (list of object, optional)
          - `roleId` (string, optional)
        - `inactive` (boolean, optional)
        - `lastLogin` (string, optional) — An ISO 8601 date string
        - `_meta` (object, optional)
          - `created` (string, optional) — An ISO 8601 date string
          - `updated` (string, optional) — An ISO 8601 date string
          - `migrationVersion` (integer, optional) — The current document version of this document.
        - `email` (string, optional)
    - `owner` (any or string or object, optional, nullable)
      - object
        - `_id` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
        - `provenance` (string, optional)
        - `username` (string, optional)
        - `firstname` (string, optional)
        - `memberOf` (list of object, optional)
          - `groupId` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
          - `aaaManaged` (boolean, optional)
        - `assignedRoles` (list of object, optional)
          - `roleId` (string, optional)
        - `inactive` (boolean, optional)
        - `lastLogin` (string, optional) — An ISO 8601 date string
        - `_meta` (object, optional)
          - `created` (string, optional) — An ISO 8601 date string
          - `updated` (string, optional) — An ISO 8601 date string
          - `migrationVersion` (integer, optional) — The current document version of this document.
        - `email` (string, optional)
  - `output` (object, optional)
  - `outputData` (object, optional)
- `metadata` (object, required) — Any structured, wordy or machine-readable information related to the result of the operation. For success responses, this may contain information like pagination values from a search operation.
  - `skip` (integer, optional)
  - `limit` (integer, optional)
  - `total` (integer, optional)
  - `nextPageSkip` (integer, optional, nullable)
  - `previousPageSkip` (integer, optional, nullable)
  - `currentPageSize` (integer, optional)

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Examples

**Response**

```json
{
  "message": "Successfully created the requested item",
  "data": [
    {
      "_id": "string",
      "uuid": "string",
      "font_size": 12,
      "type": "automation",
      "created": "2024-01-15T09:30:00Z",
      "last_updated": "2024-01-15T09:30:00Z",
      "createdVersion": "5.55.5",
      "lastUpdatedVersion": "5.55.6",
      "canvasVersion": 1,
      "encodingVersion": 1,
      "migrationVersion": 1,
      "name": "Cisco IOS upgrade",
      "description": "Turn up the port",
      "preAutomationTime": 0,
      "sla": 0,
      "decorators": [
        {
          "type": null,
          "pointer": "string"
        }
      ],
      "transitions": {},
      "status": "error",
      "variables": {
        "_id": {
          "_id": "67be20c2dda0df69ebe60825",
          "location": "job_data"
        },
        "initiator": {
          "_id": "67be20c2dda0df69ebe60826",
          "location": "job_data"
        }
      },
      "tags": [
        "string"
      ],
      "error": [
        {
          "task": null,
          "message": {},
          "timestamp": 1.1
        }
      ],
      "warnings": [
        {
          "task": "workflow_start",
          "name": "Cisco IOS upgrade",
          "message": {}
        }
      ],
      "ancestors": [
        "string"
      ],
      "validationErrors": [
        {
          "keyword": "string",
          "instancePath": "string",
          "schemaPath": "string",
          "params": {},
          "message": "string"
        }
      ],
      "namespace": {},
      "mocked": true,
      "created_by": null,
      "last_updated_by": null,
      "tasks": {
        "workflow_start": {
          "x": 1.1,
          "y": 1.1,
          "gridCoordinate": {
            "x": 1.1,
            "y": 1.1
          },
          "name": null,
          "summary": null,
          "taskId": null,
          "metrics": {
            "user": null
          },
          "groups": [
            "string"
          ],
          "iterations": [
            {}
          ]
        },
        "workflow_end": {
          "x": 1.1,
          "y": 1.1,
          "gridCoordinate": {
            "x": 1.1,
            "y": 1.1
          },
          "name": null,
          "summary": null,
          "taskId": null,
          "endTasks": {
            "incomplete": [
              "workflow_start"
            ],
            "complete": [
              "workflow_start"
            ],
            "error": [
              "workflow_start"
            ]
          },
          "metrics": {
            "end_time": 1.1,
            "run_time": 1.1
          },
          "groups": [
            "string"
          ],
          "iterations": [
            {}
          ]
        },
        "error_handler": {
          "x": 1.1,
          "y": 1.1,
          "gridCoordinate": {
            "x": 1.1,
            "y": 1.1
          },
          "name": "string",
          "location": "Adapter",
          "locationType": "string",
          "app": "string",
          "canvasName": "string",
          "displayName": "string",
          "summary": "string",
          "description": "string",
          "variables": {
            "incoming": {},
            "outgoing": {},
            "error": "string",
            "decorators": [
              {
                "type": null,
                "pointer": "string"
              }
            ]
          },
          "deprecated": true,
          "scheduled": true,
          "matched": [
            {
              "key": "string",
              "highlightString": "string"
            }
          ],
          "status": "incomplete",
          "previous": {
            "incomplete": [
              "workflow_start"
            ],
            "complete": [
              "workflow_start"
            ],
            "error": [
              "workflow_start"
            ]
          },
          "taskId": "workflow_start",
          "transitions": {
            "success": [
              {
                "task": "workflow_start",
                "type": "standard"
              }
            ],
            "failure": [
              {
                "task": "workflow_start",
                "type": "standard"
              }
            ],
            "error": [
              {
                "task": "workflow_start",
                "type": "standard"
              }
            ]
          },
          "serverId": "string",
          "start_time": "2024-01-15T09:30:00Z",
          "end_time": 1.1,
          "finish_state": "success",
          "retrySettings": null,
          "mockId": "string",
          "type": null,
          "actor": null,
          "groups": [
            "string"
          ],
          "iterations": [
            {}
          ]
        }
      },
      "parent": {
        "job": "fe7043ac41d24206aa556c49",
        "task": "defc",
        "iteration": 1,
        "element": 0
      },
      "errorHandler": null,
      "groups": [
        "string"
      ],
      "watchers": [
        null
      ],
      "metrics": {
        "start_time": 1.1,
        "progress": 0.5,
        "end_time": 1.1,
        "user": null,
        "owner": null
      },
      "output": {},
      "outputData": {}
    }
  ],
  "metadata": {
    "skip": 1,
    "limit": 1,
    "total": 1,
    "nextPageSkip": null,
    "previousPageSkip": null,
    "currentPageSize": 1
  }
}
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/operations-manager/jobs"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/operations-manager/jobs';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/operations-manager/jobs"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/operations-manager/jobs")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://example.itential.io/operations-manager/jobs")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://example.itential.io/operations-manager/jobs');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/operations-manager/jobs");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/operations-manager/jobs")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```